; This is cop8A2C.inc
;
; PLEASE: Consider update for AJC and AKC. 
;
; Predeclare I/O and control registers frequently used by COP8 programmer.
;
; --- End of setecon Macro Definition ---

        PORTFD      =   094:BYTE     ; Port F Data
        PORTFC      =   095:BYTE     ; Port F Configuration
        PORTFP      =   096:BYTE     ; Port F input pins (read only)
;
        HSTCR       =   0xAF:BYTE    ; High Speed Timers Control Register
;
        TMR2LO      =   0xC0:BYTE    ; Timer 2 low byte
        TMR2HI      =   0xC1:BYTE    ; Timer 2 high byte
        T2RALO      =   0xC2:BYTE    ; Timer 2 RA register low byte
        T2RAHI      =   0xC3:BYTE    ; Timer 2 RA register high byte
        T2RBLO      =   0xC4:BYTE    ; Timer 2 RB register low byte
        T2RBHI      =   0xC5:BYTE    ; Timer 2 RB register high byte
        T2CNTRL     =   0xC6:BYTE    ; Timer 2 control register
;
        WDSVR       =   0xC7:BYTE    ; Watch dog service register
;
        WKEDG       =   0xC8:BYTE    ; MIWU edge select register
        WKEN        =   0xC9:BYTE    ; MIWU enable register
        WKPND       =   0xCA:BYTE    ; MIWU pending register
;
        COMP        =   0xCC:BYTE    ; Comparator Select Register
        AFBSL       =   0xCD:BYTE    ; Analog Function Block Register 
        ITRIM       =   0xCE:BYTE    ; Current Source Trim Register
;
        ITMR        =   0xCF:BYTE    ; Idle Timer Control Register
;
        PORTLD      =   0D0:BYTE     ; Port L data
        PORTLC      =   0D1:BYTE     ; Port L configuration
        PORTLP      =   0D2:BYTE     ; Port L pin
;
        PORTGD      =   0D4:BYTE     ; Port G data
        PORTGC      =   0D5:BYTE     ; Port G configuration
        PORTGP      =   0D6:BYTE     ; Port G pin
;
        PORTD       =   0DC:BYTE     ; Port D
;
        SIOR        =   0E9:BYTE     ; SIO shift register
        SIO         =   0E9:BYTE     ; SIO shift register

        TMR1LO      =   0EA:BYTE     ; Timer 1 low byte
        TMR1HI      =   0EB:BYTE     ; Timer 1 high byte
        T1RALO      =   0EC:BYTE     ; Timer 1 RA register low byte
        T1RAHI      =   0ED:BYTE     ; Timer 1 RA register high byte
        T1RBLO      =   0E6:BYTE     ; Timer 1 RB register low byte
        T1RBHI      =   0E7:BYTE     ; Timer 1 RB register high byte

        ICNTRL      =   0E8:BYTE     ; ICNTRL register
;
        CNTRL       =   0EE:BYTE     ; control register
        PSW         =   0EF:BYTE     ; PSW register

;
; CONSTANT DECLARE
;       Alternate function bit definitions on port G
        INTR        =   0            ; Interrupt input
        INT         =   0            ; Interrupt input
        WDOUT       =   1            ; Watchdog output
        T1B         =   2            ; Timer T1B output
        T1A         =   3            ; Timer T1A output
        SO          =   4            ; Seriell output
        SK          =   5            ; Seriell clock
        SI          =   6            ; Seriell input
        CKO         =   7            ; Halt,restart input
;
;       Alternate function bit definitions on port L
        ACH1        =   0            ; Analog Channel 0
        ISRC        =   1            ; Current Source Output
        ACH2        =   2            ; Analog Channel 2
        ACH3        =   3            ; Analog Channel 3
        CMP1OUT1    =   3            ; Comparator 1 Output CMP1SEL =0
        T2A         =   4            ; Timer T2A output
        ACH4        =   4            ; Analog Channel 4
        CMP2INN     =   4            ; Comparator 2 Negative Input
        T2B         =   5            ; Timer T2B output
        ACH5        =   5            ; Analog Channel 5
        CMP2INP     =   5            ; Comparator 2 Positive Input
        ACH6        =   6            ; Analog Channel 6
        CMP2OUT     =   6            ; Comparator 2 Output
        CMP1OUT2    =   7            ; Comparator 1 Output CMP1SEL <&>0

;
;        Bit definitions CNTRL register
        T1C3        =   7            ; Timer 1 mode control
        TC1         =   T1C3         ; COP880/840/820 control signal name
        T1C2        =   6            ; Timer 1 mode control
        TC2         =   T1C2         ; COP880/840/820 control signal name
        T1C1        =   5            ; Timer 1 mode control
        TC3         =   T1C1         ; COP880/840/820 control signal name
        T1C0        =   4            ; Start/Stop timer in modes 1 and 2
                                     ; Underflow interrupt pending in mode 3
        TRUN        =   T1C0         ; COP880/840/820 control signal name
        MSEL        =   3            ; Enable Microwire
        IEDG        =   2            ; Selects external interr. edge polarity
        S1          =   1            ; Microwire clock divide select
        SL1         =   S1           ; Microwire clock divide select
        S0          =   0            ; Microwire clock divide select
        SL0         =   S0           ; Microwire clock divide select
;
;       Bit definitions PSW register
        HC          =   7            ; Half carry flag
        C           =   6            ; Carry flag
        TPND        =   5            ; Timer interr. pending
        T1PNDA      =   TPND         ; Timer interr. pending
        ENTI        =   4            ; Timer interr. enable
        T1ENA       =   ENTI         ; Timer interr. enable
        IPND        =   3            ; External interr. pending
        EXPND       =   IPND         ; External interr. pending
        BUSY        =   2            ; Microwire busy shifting
        ENI         =   1            ; External interr. enable
        EXEN        =   ENI          ; External interr. enable
        GIE         =   0            ; Global interr. enable
;
;       Bit definitions ICNTRL register
        LPEN        =   6            ; L-Port interr. enable
        T0PND       =   5            ; Timer T0 interr. pending
        PPND        =   T0PND        ; Timer T0 interr. pending
        T0EN        =   4            ; Timer T0 interr. enable
        PEN         =   T0EN         ; Timer T0 interr. enable
        WPND        =   3            ; Microwire interr. pending
        uWPND       =   WPND         ; Microwire interr. pending
        WEN         =   2            ; Microwire interr. enable
        uWEN        =   WEN          ; Microwire interr. enable
        T1PNDB      =   1            ; Timer T1B interr. pending flag
        T1ENB       =   0            ; Timer T1B interr. enable
;
;----- Bit definitions T2CNTRL register
        T2C3        =   7            ; Timer T2 mode control
        T2C2        =   6            ; Timer T2 mode control
        T2C1        =   5            ; Timer T2 mode control
        T2C0        =   4            ; Timer T2A start/stop
        T2PNDA      =   3            ; Timer T2A interr. pending flag
        T2ENA       =   2            ; Timer T2A interr. enable
        T2PNDB      =   1            ; Timer T2B interr. pending flag
        T2ENB       =   0            ; Timer T2B interr. enable
;
;       Bit Definitions  for ITMR Register
        ITSEL2      =   2            ; IDLE Timer Period Select bit 2
        ITSEL1      =   1            ; IDLE Timer Period Select bit 1
        ITSEL0      =   0            ; IDLE Timer Period Select bit 0
;
;       Bit definitions  HSTCR register
        T9HS        =   7            ; Timer T9 High Speed Enable
        T8HS        =   6            ; Timer T8 High Speed Enable
        T7HS        =   5            ; Timer T7 High Speed Enable
        T6HS        =   4            ; Timer T6 High Speed Enable
        T5HS        =   3            ; Timer T5 High Speed Enable
        T4HS        =   2            ; Timer T4 High Speed Enable
        T3HS        =   1            ; Timer T3 High Speed Enable
        T2HS        =   0            ; Timer T2 High Speed Enable
;
;       Bit definitions for COMP register
        CMP2OE      =   6            ; Enables Comparator Output L6
        CMP2RD      =   5            ; Output of Comparator 
        CMP2EN      =   4            ; Enables Comparator Output
        CMP1OE      =   3            ; Enables Comparator Output L3/L7
        CMP1RD      =   2            ; Output of Comparator 
        CMP1EN      =   1            ; Enables Comparator Output
;
;       Bit definitions for AFBSL register
        CMPT2       =   7            ; Select T2 Capture Inputs
        CMP1SEL2    =   6            ; Select Source for Comparator 1
        CMP1SEL1    =   5            ; Select Source for Comparator 1
        CMP1SEL0    =   4            ; Select Source for Comparator 1
        IRNG        =   2            ; Select Low/High Output Current Range
        CSEN        =   1            ; Enables Internal Constant Current L1
        CMPNEG      =   0            ; Output of Comparator 
;
;       Bit Definitions for ITRIM Register
        ITRIM2      =   2            ; Trim Bit Selection-Effect on Current Source
        ITRIM1      =   1            ; Trim Bit Selection-Effect on Current Source
        ITRIM0      =   0            ; Trim Bit Selection-Effect on Current Source
;
; ---------------- End of COP8A2C.INC -----------------------------------
