; This is cop8AKC.inc
;
; PLEASE: Consider also update of files for AJC when modifying this file.
;
; Predeclare I/O and control registers frequently used by COP8AKC programmer.
;
        .incld cop8.inc

        COPCHIP = COP8AKC
 
; --- setecon Macro Definition ---
;
; This macro allows the user to conveniently load the ECON register of the
; 8AKC OTP chip.  Arguments to the macro are specified as they appear,
; right to left, in the register.  Each argument has a reasonable default
; value, given below.  To use a default value, omit the corresponding argument
; from the macro argument list.

        .macro  setecon
        .mloc   otp,reserved,sec,cki,wd,bor,halt

        .ifb    @1      ; if 1
otp     =       1       ; default value (part is programmed)
        .else
otp     =       @1
        .endif
        .ifb    @3      ; if null
sec     =       0       ; default value (not secure)
        .else
sec     =       @3
        .endif
        .ifb    @4      ; if null
cki     =       0       ; default value (external clock, CKI1 CKI0)
        .else
cki     =       @4
        .endif
        .ifb    @5      ; if null
wd      =       0       ; default value (Watchdog enabled)
        .else
wd      =       @5
        .endif
        .ifb    @6      ; if null
bor     =       0       ; default value (AKC no effect)
        .else
bor     =       @6      ; value (AKC no effect)
        .endif
        .ifb    @7      ; if null
halt    =       0       ; default value (halt enabled)
        .else
halt    =       @7
        .endif

        .sect   ECON, CONF
ECON:   .db     (((((otp shl 2 or sec) shl 2 or cki) shl 1 or wd)shl 1 or bor) shl 1 or halt)
        .endm

; --- End of setecon Macro Definition ---

        .incld cop8a2c.inc
        .CHIP 8AKC               ; specifies max. ROM address 0FFF
                                 ; RAM = 128B

;
; ---------------- End of COP8AKC.INC -----------------------------------
