; This is cop8SAC.inc
;
; Predeclare I/O and control registers frequently used by COP8SAC programmer.
;
        .incld cop8.inc
        COPCHIP = COP8SAC

; --- setecon Macro Definition ---
;
; This macro allows the user to conveniently load the ECON register of the
; 8SAC OTP chip.  Arguments to the macro are specified as they appear,
; right to left, in the register.  Each argument has a reasonable default
; value, given below.  To use a default value, omit the corresponding argument
; from the macro argument list.

        .macro  setecon
        .mloc   otp,por,sec,cki,wd,reserved,halt

        .ifb    @1      ; if 1
otp     =       1       ; default value (part is programmed)
        .else
otp     =       @1
        .endif
        .ifb    @2      ; if null
por     =       0       ; default value (power-on reset disabled)
        .else
por     =       @2
        .endif
        .ifb    @3      ; if null
sec     =       0       ; default value (not secure)
        .else
sec     =       @3
        .endif
        .ifb    @4      ; if null
cki     =       0       ; default value (external clock)
        .else
cki     =       @4
        .endif
        .ifb    @5      ; if null
wd      =       0       ; default value (Watchdog enabled)
        .else
wd      =       @5
        .endif
        .ifb    @7      ; if null
halt    =       0       ; default value (halt enabled)
        .else
halt    =       @7
        .endif

        .sect   ECON, CONF
ECON:   .db     (((((otp shl 1 or por) shl 1 or sec) shl 2 or cki) shl 1 or wd) shl 2 or halt)
        .endm

; --- End of setecon Macro Definition ---


        .incld cop8saz.inc       ; Include, common for SAx

        .CHIP 8SAC               ; specifies max. ROM address 0FFF
